Subject: Re: bug#24624: 24.4; Faulty info link -> definition of nth

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Oct 2016 10:33:04 +0300

> From: Tomas Nordin <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 06 Oct 2016 23:10:42 +0200
> 
> >   C-x C-f  /path/to/elisp.info.gz RET
> >   C-x Function: nth RET
> >   M-: (position-bytes (point)) RET
> >
> 
> 255722 (#o763352, #x3e6ea)
> 
> (standing at column 0)
> 
> >
> > and tell what that yields, and how does that compare with the number
> > at the end of the "Ref:" line shown above.
> 
> Ref: Definition of nth255737
> (- 255722 255737) -> -15

I think I see the problem now: if Emacs 24.4 is used with elisp.info
from Emacs 24.5, then I can reproduce your problem.  The manuals for
Emacs 24.4 were produced by makeinfo 4.13, whereas those for 24.5 were
produced by makeinfo 5.2.  I'm guessing there's some mismatch between
Emacs 24.4's info.el and makeinfo 5.2.  It seems like Debian produced
what they claim to be the 24.4 Info files from Emacs 24.5, or some
post-24.4 development version.

So my suggestion is to upgrade to a newer Emacs version.  Both Emacs
24.5 and Emacs 25.1 will read your Info files correctly.